/**
  统计报表管理
 @author laiyh
 @Date 2020-09-17

 */
import axios from "@/utils/req";

export const base = `/authsvr/v2/rolerpt`;
export const tableUrl = `${base}/roleRptList/_search`;

// 所有应用
export function getAppName() {
    return axios.get(`${base}/getAppName`);
}

// 角色授权情况列表
export function getRoleRptList(data) {
    return axios.post(`${base}/roleRptList/_search`, data, { loading: true });
}

// 应用拥有的角色数量，配额数量
export function getRoleQuotasInfo(appId) {
    return axios.get(`${base}/getRoleQuotasInfo/${appId}`);
}

// 分局应用授权情况
export function roleQuotasTable(data) {
    return axios.post(`${base}/orgRptList/_search`, data);
}
